MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002755Community[OCCT] OCCT:Modeling Algorithmspublic2003-05-26 11:152006-06-29 09:15
Reporterbugmaster 
Assigned Tomkk 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target VersionFixed in Version[OCCT] 5.1.1 
Summary0002755: Boolean Bug in OCC5.0 with the shape having a ellipse curve
DescriptionBug from Open CASCADE community
Bug has been registered by Lee Sangsu

http://www.opencascade.org/forumorg/bug.php?bug_id=129&f=8 [^]

The new boolean algorithm fails when shapes have ellipse in their wires.

I made a profile consisted of a ellipse (whole or partly). then made a prism
from it and applied a boolean algorithm( any boolean fuse,common,cut...) to the
shape and other shape(any shape).
Then the appl crashes.
No other curve type make such a crash. Only the ellipse does.

P.S. This only occurs with debug dlls.
The release version of OCC was ok.
P.S. I tested more, and found that it is becasue of prism operation.
I made a revolution from an ellipse, and boolean operation, it was ok.
and My debugger goes into the below source, and dead confronting
anExtPExtS.IsDone();
:: From Extrema_ExtPS.cxx
case GeomAbs_SurfaceOfExtrusion: {
Extrema_ExtPExtS anExtPExtS(P,
Adaptor3d_SurfaceOfLinearExtrusion(myS->BasisCurve(),
myS->Direction()),
myuinf,myusup, myvinf,myvsup, mytolu,mytolv);
myDone = anExtPExtS.IsDone();
if (myDone)
for (i = 1; i <= anExtPExtS.NbExt(); i++) {
TreatSolution (anExtPExtS.Point(i), anExtPExtS.Value(i));
}
return;
}

Bugmaster
TagsNo tags attached.
Test case number
Attached Files? file icon ellipse.brep (20,470 bytes) 2003-05-26 07:20
tgz file icon OCC2755_mkk_v1.tgz (3,372 bytes) 2003-09-22 10:14

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2003-05-26 11:15 bugmaster Assigned To bugmaster => mkk
2003-05-26 11:15 bugmaster Status new => assigned
2003-05-26 11:15 bugmaster Summary => Boolean Bug in OCC5.0 with the shape having a ellipse curve
2003-09-08 15:51 bugmaster Assigned To mkk => jgv
2003-09-18 11:25 mkk Assigned To jgv => mkk
2003-09-22 12:18 mkk Status assigned => resolved
2003-09-22 12:21 bugmaster CC => apv
2003-09-22 15:26 apv CC => mkv, aki
2003-10-03 13:05 bugmaster Status resolved => tested
2003-10-13 12:31 bugmaster Status tested => verified
2003-10-17 11:20 bugmaster Status verified => closed
2003-10-17 11:20 bugmaster Fixed in Version => 5.1.1
2003-10-17 11:20 bugmaster Resolution @0@ => fixed
2004-12-30 11:28 bugmaster Customer =>
2011-08-02 11:31 bugmaster Category OCCT:MOA => OCCT:Modeling Algorithms


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker